﻿//●前後アキ量設定.jsx
//	選択範囲の文字の前後のアキ量を設定するスクリプト
//		選択範囲が複数の文字からなる場合には、最初文字の「前のアキ量」と最後の文字の「後ろのアキ量」を設定します。
//		-1：アキ量は（自動）となります。0:ベタ、0.125：八分、0.25：四分、0.5：二分、1：全角です。
//												2006.12.4/13:50	修正	(C)CopyRight Mishima Print Co.
//
//	1.このスクリプトを使用して何らかの損害が生じたとしても、責任は負いかねますので、自己責任で使用して下さい。
//	2.このスクリプトを使い易いように、改変、改良をして同一部署ないで使用するのは構いません。
//	3.このスクリプト及び、改変、改良を加えたスクリプトを無償で再配布する場合にはご連絡ください。
//	4.このスクリプト及び、改変、改良を加えたスクリプトを有償で再配布する事は禁止します。
//
//						2006.12.08　三島梅花藻	/ Mishima Print Co.
//						e-mail：tuchiya☆mishima-print.co.jp	（☆を@に置き換えて下さい。）

var myObjectList = new Array;
CR = String.fromCharCode(13);
var akiList = ["-1","0","0.125","0.25","0.5","1"];
if (app.selection.length != 0){
	for (var i = 0;i < app.selection.length; i++){
		switch (app.selection[i].constructor.name){
			case "Character":
				var chr = app.selection[0];
				var p1 = chr.leadingAki;
				var p2 = chr.trailingAki;
				with(myDialog = app.dialogs.add({name:"前後のアキ量設定"})){
					with(dialogColumns.add()){
						staticTexts.add({staticLabel:"前アキ量:"});
						with(dialogColumns.add()){
							laki = realComboboxes.add({editValue:p1,minimumValue:-100,maximumValue:100,smallNudge:1,stringList:akiList});
						}
					}
					with(dialogColumns.add()){
						staticTexts.add({staticLabel:"後アキ量:"});
						with(dialogColumns.add()){
							taki = realComboboxes.add({editValue:p2,minimumValue:-100,maximumValue:100,smallNudge:1,stringList:akiList});
						}
					}
				}
				myReturn = myDialog.show();
				if (myReturn) {
					chr.leadingAki = laki.editValue;
					chr.trailingAki = taki.editValue;
				}
				myDialog.destroy();
				break;
			case "Word":
			case "Text":
			case "TextStyleRange":
				var p1 = app.selection[0].characters[0].leadingAki;
				var p2 = app.selection[0].characters[-1].trailingAki;
				with(myDialog = app.dialogs.add({name:"前後のアキ量設定"})){
					with(dialogColumns.add()){
						staticTexts.add({staticLabel:"前アキ量:"});
						with(dialogColumns.add()){
							laki = realComboboxes.add({editValue:p1,minimumValue:-100,maximumValue:100,smallNudge:1,stringList:akiList});
						}
					}
					with(dialogColumns.add()){
						staticTexts.add({staticLabel:"後アキ量:"});
						with(dialogColumns.add()){
							taki = realComboboxes.add({editValue:p2,minimumValue:-100,maximumValue:100,smallNudge:1,stringList:akiList});
						}
					}
				}
				myReturn = myDialog.show();
				if (myReturn) {	
					app.selection[0].characters[0].leadingAki = laki.editValue;
					app.selection[0].characters[-1].trailingAki = taki.editValue;
				}
				myDialog.destroy();
				break;
			case "InsertionPoint":
			case "Line":
			case "GraphicLine":
			case "Paragraph":
			case "TextColumn":
			case "TextFrame":
			default:
				alert("The selected object is not a text object. Select some text and try again.");
				break;
		}
	}
}
